#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	goVirt library - GLib binding for oVirt REST API
Summary(pl.UTF-8):	Biblioteka goVirt - wiązanie GLib do API REST-owego oVirt
Name:		libgovirt
Version:	0.3.9
Release:	2
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://download.gnome.org/sources/libgovirt/0.3/%{name}-%{version}.tar.xz
# Source0-md5:	6ebc2a24f30e456070f8840792793b13
URL:		https://github.com/GNOME/libgovirt
BuildRequires:	gettext-tools >= 0.19.4
BuildRequires:	glib2-devel >= 1:2.66
BuildRequires:	gobject-introspection-devel >= 1.30.0
BuildRequires:	meson >= 0.49.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rest1-devel >= 0.9.1-2
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.66
Requires:	rest1 >= 0.9.1-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GoVirt is a GObject wrapper for the oVirt REST API. It will only
provide very basic functionality as the goal is to autogenerate a full
wrapper as it is already done for the Python bindings.

%description -l pl.UTF-8
GoVirt to interfejs GObject dla API REST-owego oVirt. Zapewnia
jedynie podstawową funkcjonalność, jako że celem jest automatyczne
generowanie pełnego interfejsu - tak, jak jest to robione w wiązaniach
Pythona.

%package devel
Summary:	Header files for goVirt library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki goVirt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.66
Requires:	rest1-devel >= 0.9.1-2

%description devel
Header files for goVirt library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki goVirt.

%package static
Summary:	Static goVirt library
Summary(pl.UTF-8):	Statyczna biblioteka goVirt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static goVirt library.

%description static -l pl.UTF-8
Statyczna biblioteka goVirt.

%prep
%setup -q

%build
%meson build \
	%{!?with_static_libs:--default-library=shared}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang govirt-1.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f govirt-1.0.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README
%attr(755,root,root) %{_libdir}/libgovirt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgovirt.so.2
%{_libdir}/girepository-1.0/GoVirt-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgovirt.so
%{_includedir}/govirt-1.0
%{_datadir}/gir-1.0/GoVirt-1.0.gir
%{_pkgconfigdir}/govirt-1.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgovirt.a
%endif
%changelog
* Tue Jun 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgovirt.git;a=log;h=master

* Tue Jun 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 02738c4
- require libsoup3-based rest1 release; release 2

* Tue Jun 06 2023 Jan Palus <atler@pld-linux.org> 8ea25f0
- rest1 is libsoup3 based now -- stop excluding tests

* Tue Jun 06 2023 Jan Palus <atler@pld-linux.org> a53a510
- BR: pkgconfig

* Wed Sep 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 2e9ee61
- updated to 0.3.9 (now rest1/possibly libsoup3 based)

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 2fd2cf1
- rebuild with separate debuginfo build-ids

* Wed Feb 24 2021 Jakub Bogusz <qboosh@pld-linux.org> 8201c9f
- updated to 0.3.8

* Mon Jun 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 97556e6
- updated to 0.3.7

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> 1fef69b
- rebuild with libffi 3.3
- release 2 (by relup.sh)

* Thu Apr 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> dc9be92
- Update to 0.3.4

* Mon May 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 130d7cf
- updated to 0.3.3

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> eb926a6
- libffi rebuild
- release 2 (by relup.sh)

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 54f5771
- updated to 0.3.2

* Mon Sep 08 2014 Jakub Bogusz <qboosh@pld-linux.org> c24ef93
- updated to 0.3.1

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> a90f00b
- new URLs, updated to 0.3.0

* Thu Jul 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 10cc890
- updated to 0.2.0 (note: new soname)

* Mon Jun 17 2013 Jakub Bogusz <qboosh@pld-linux.org> ccf1271
- new

